@use '../../../global/styles-variables' as *;

:host {
  display: block;

  .digi-docs-home-hero-alt {
    display: grid;
    align-items: center;
    @media screen and (max-width: $digi--breakpoint--large-below) {
      grid-template-rows: auto auto;
      grid-template-columns: 100%;
    }

    @media screen and (min-width: $digi--breakpoint--large) {
      grid-template-columns: 61% 39%;
    }

    @media screen and (min-width: $digi--breakpoint--x-large) {
      grid-template-columns: 50% 50%;
    }

    &__text {
      //padding-block: var(--digi--padding--largest-3);
      //padding-inline: var(--digi--margin--large);
      padding-right: var(--digi--global--spacing--largest-6);
      padding-top: var(--digi--global--spacing--largest-4);
      padding-bottom: var(--digi--global--spacing--largest-4);
      max-width: 560px;

      @media screen and (max-width: $digi--breakpoint--large-below) {
        grid-row: 2;
      }
    }

    &__preamble {
      margin-top: var(--digi--global--spacing--largest-2);
      margin-bottom: var(--digi--global--spacing--largest-5);
      display: block;
      font-size: var(--digi--typography--heading-3--font-size--desktop-large);
      font-weight: 400;
    }

    &__media {
      position: relative;
      padding-top: var(--digi--global--spacing--largest-9);
      padding-bottom: var(--digi--global--spacing--largest-9);

      @media screen and (max-width: $digi--breakpoint--large-below) {
        grid-row: 1;
        padding-top: var(--digi--global--spacing--largest-4);
        padding-bottom: var(--digi--global--spacing--largest-4);
        width: 80%;
        margin: auto;
      }

      > div {
        position: absolute;
        width: 50%;
        height: 50%;

        &:first-child {
          top: 12.5%;
          left: 12.5%;

          @media screen and (max-width: $digi--breakpoint--large-below) {
            left: 5%;
          }
        }

        &:first-child + * {
          bottom: 12.5%;
          right: 12.5%;

          @media screen and (max-width: $digi--breakpoint--large-below) {
            right: 5%;
          }
        }

        &:last-child {
          width: 36%;
          height: auto;
          bottom: 25%;
          object-fit: cover;
          left: 8%;
          padding: var(--digi--padding--small);
          display: flex;
          align-items: center;
          justify-content: center;
          background: var(--digi--color--background--primary);
          border-radius: var(--digi--global--border-radius--large);
          box-shadow: 2px 2px 20px 3px rgb(0 0 0 / 20%);

          @media screen and (max-width: $digi--breakpoint--large-below) {
            bottom: 10%;
            left: 0;
            transform: translateY(25%);
          }
        }
      }

      .digi-media-image__image {
        border-radius: var(--digi--global--border-radius--large);
      }
    }
  }
}
